Name:		gjay
Summary:	Automated music manager for DJ applications
Version: 	0.2.8.3
Release: 	%mkrel 6
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gjay-0.2.8.3-gcc34.patch
# Fix build with GCC 4 by removing unnecessary conflicting declarations
# - AdamW 2008/08
Patch1:		gjay-0.2.8.3-gcc4.patch
# Port from libxmms to libaudacious - AdamW 2008/08 (helped by Goetz)
Patch2:		gjay-0.2.8.3-audacious.patch
# From upstream CVS: dlopen versioned library files to avoid -devel
# dependencies - AdamW 2008/08
Patch3:		gjay-0.2.8.3-dlopen.patch
URL:		http://gjay.sourceforge.net/
# Explicitly states v1 or later
License:	GPL+
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libvorbis-devel
BuildRequires:	gsl-devel
BuildRequires:	audacious-devel
BuildRequires:	gtk2-devel
BuildRequires:	libdbus-glib-1-devel
Requires:	mp3info
Requires:	mpg321
Requires:	vorbis-tools
Requires:	audacious
# Doesn't get autogenerated as the app doesn't link against it but
# dlopens it: it's not strictly required, so make it a suggests
Suggests:	%{mklibname vorbisfile 3}

%description
GJay (Gtk+ DJ) generates playlists across a collection of music (ogg, mp3,
wav) such that each song sounds good following the previous song. It is ideal
for home users who want a non-random way to wander large collections or for
DJs planning a set list. You can generate playlists from within the
application, or run GJay as a standalone command-line utility.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .audacious
%patch3 -p0 -b .dlopen

# Needs to use both GTK+ and dbus-glib libs and includes, not just
# GTK+ - AdamW 2008/08
sed -i -e 's,gtk+-2.0,gtk+-2.0 dbus-glib-1,g' Makefile

%build
%make
										
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/%{name}/icons
%makeinstall PREFIX=%{buildroot}/%{_prefix} INSTALL="%{_bindir}/install -m"
strip %{buildroot}/%{_bindir}/%{name}

#menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=GJay
Comment=DJ Collection Manager
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-CrossDesktop;Audio;Player;
EOF

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.8.3-6mdv2011.0
+ Revision: 618952
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2.8.3-5mdv2010.0
+ Revision: 429207
- rebuild

* Fri Aug 08 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.8.3-4mdv2009.0
+ Revision: 267988
- br libdbus-glib-1-devel
- clean up and modernize menu entry
- add dbus-glib libs and includes (build breaks without)
- manual suggest for libvorbis as it doesn't get auto-generated
- new license policy
- add dlopen.patch: from upstream CVS, avoids runtime dependency on -devel
- add audacious.patch: port from xmms to audacious, so avoid GTK+ 1.2 deps
- add gcc4.patch to fix build with GCC 4+
- decompress the gcc3 patch
- clean spec (spacing, variable names, tabs)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag
    - auto convert menu to XDG
    - BR gtk2-devel
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import gjay

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas


* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8.3-3mdk
- patch 0: fix compiling with gcc-3.4

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8.3-2mdk
- fix typo in menu entry (Arpad Biro <biro_arpad@yahoo.com>)

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.2.8.3-1mdk
- 0.2.8.3

* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 0.2.6-2mdk
- Fix menu

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.2.6-1mdk
- initial package
